# NotificationJs
A simple jQuery plugin notification

## How to install

Download this repository and add the following lines in your HTML file :

```
<link rel="stylesheet" href="notificationJs.css">
```

```
<script type="text/javascript" src="jquery.min.js"></script>
<script type="text/javascript" src="jquery.notificationJs.js"></script>
```

## How to use

To use notificationJs, you must add any tag in your HTML file with a class for exemple :

```
<a class="notification" href="#">Click</a>
```

And in the tag `<script></script>` or another Javascript file add this code :

```
$(function () {
	$('.notification').on('click', function(e){
		e.preventDefault();
		$('body').notificationJs({'message': 'My message', 'type': 'Success'});
	});
})
```

### The plugin's settings

Here is the list of parameters that you can change :

* position : to set up the notification's position, the range is 1 to 4 (default 2)
* background : to change the background color of notification (default #384049)
* color : to change the color of the message in the notification (default #FFF)
* message : your message
* type : to set the color of notification's circle, you have 4 possibilities : Success, Information, Warning or Error (default Information)
* timeout : with this option you can set a time in milliseconds during which the notification will be displayed (default false)

One last thing, if you click the notification, it closes.
